#ifndef UTILITIES_H
#define UTILITIES_H


#include <cstdint>
#include "gint/image.h"


typedef struct
{
    /* position of the picture */
    int16_t x, y;
    /* pointer to the image structure */
    image_t *image;
    
} SpriteLocator;



bool AABB_Collision( SpriteLocator image1, SpriteLocator image2 );

bool Pixel_Perfect_Collision( SpriteLocator image1, SpriteLocator image2 );

bool DEBUG_Pixel_Perfect_Collision( SpriteLocator image1, SpriteLocator image2 );


#endif